net.sf.jasperreports.charts.type

## Enum PlotOrientationEnum

- java.lang.Object
- - java.lang.Enum<PlotOrientationEnum>
  - - net.sf.jasperreports.charts.type.PlotOrientationEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PlotOrientationEnum>, JREnum, NamedEnum

      public enum PlotOrientationEnum
      extends java.lang.Enum<PlotOrientationEnum>
      implements JREnum

  Version:
    $Id: PlotOrientationEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HORIZONTAL`
    `VERTICAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PlotOrientationEnum` | `getByName(java.lang.String name)`
    `static PlotOrientationEnum` | `getByValue(org.jfree.chart.plot.PlotOrientation orientation)`
    `java.lang.String` | `getName()`
    `org.jfree.chart.plot.PlotOrientation` | `getOrientation()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static PlotOrientationEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PlotOrientationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HORIZONTAL

          public static final PlotOrientationEnum HORIZONTAL

    - #### VERTICAL

          public static final PlotOrientationEnum VERTICAL

  - ### Method Detail

    - #### values

          public static PlotOrientationEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlotOrientationEnum c : PlotOrientationEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlotOrientationEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getOrientation

          public final org.jfree.chart.plot.PlotOrientation getOrientation()

    - #### getByName

          public static PlotOrientationEnum getByName(java.lang.String name)

    - #### getByValue

          public static PlotOrientationEnum getByValue(org.jfree.chart.plot.PlotOrientation orientation)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com